Package org.eclipse.cdt.core.model

## Class BinaryFilePresentation

- java.lang.Object
- - org.eclipse.cdt.core.model.BinaryFilePresentation

    public abstract class BinaryFilePresentation
    extends Object

Allows to configure the presentation of binaries.

Clients may create subclasses.

Since:
  4.0.1.

### Field Summary

Fields
`protected IBinaryParser.IBinaryFile` `fBinaryFile`

### Constructor Summary

Constructors
`BinaryFilePresentation​(IBinaryParser.IBinaryFile binFile)` Constructs the presentation object for a binary file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `showInBinaryContainer()` Determines whether a binary is to be shown as part of the binary container.
`static boolean` `showInBinaryContainer​(IBinaryParser.IBinaryFile bin)` Default implementation for showing binaries as part of the binary container.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fBinaryFile

    protected final IBinaryParser.IBinaryFile fBinaryFile

### Constructor Detail

#### BinaryFilePresentation

    public BinaryFilePresentation​(IBinaryParser.IBinaryFile binFile)

Constructs the presentation object for a binary file.

### Method Detail

#### showInBinaryContainer

    public static boolean showInBinaryContainer​(IBinaryParser.IBinaryFile bin)

Default implementation for showing binaries as part of the binary container. It is used whenever a IBinaryFile is not adaptable to BinaryFilePresentation.

#### showInBinaryContainer

    public boolean showInBinaryContainer()

Determines whether a binary is to be shown as part of the binary container. The default implementation returns `true` for executables and dynamic libraries.